﻿.grid-container {
    width: 100%;
    overflow-x: auto;
}

    .grid-container .e-grid {
        min-width: 900px;
        border: 1px solid #dee2e6;
        border-radius: 10px;
        overflow: hidden;
    }

    .grid-container .e-toolbar {
        border-bottom: 1px solid #dee2e6;
    }

    .grid-container .e-grid.e-gridhover:not(.e-rowdrag) .e-row:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell) {
        background-color: #fefce8;
    }


    .grid-container .e-pager {
        border-top: 1px solid #dee2e6;
        background-color: #f3f4f6;
    }

    .grid-container .e-rowcell,
    .grid-container .e-headercell {
        padding: 12px;
    }

    .grid-container .e-grid .e-altrow .e-rowcell {
        background-color: #f9fafb;
    }

    .grid-container .e-grid td.e-selectionbackground {
        background-color: #e0e7ff;
    }

    .grid-container .e-grid .e-altrow td.e-selectionbackground {
        background-color: #e0e7ff;
    }

    .grid-container .e-grid .e-headercell {
        background-color: #f3f4f6;
        font-weight: 600;
    }

.dark .grid-container .e-grid .e-altrow .e-rowcell {
    background-color: #020617;
}

.dark .grid-container .e-grid td.e-selectionbackground {
    background-color: #1e40af;
}

.dark .grid-container .e-grid .e-altrow td.e-selectionbackground {
    background-color: #1e40af;
}

.dark .grid-container .e-toolbar .e-toolbar-item .e-tbar-btn {
    background-color: #111827;
}

    .dark .grid-container .e-toolbar .e-toolbar-item .e-tbar-btn:hover {
        background-color: #1f2937;
    }


.dark .grid-container .e-toolbar {
    background-color: #111827;
}


    .dark .grid-container .e-toolbar .e-toolbar-items {
        background-color: #111827;
    }

    .dark .grid-container .e-toolbar .e-toolbar-item.e-overlay {
        background-color: #111827;
    }

    .dark .grid-container .e-grid .e-headercell {
        background-color: #111827;
    }

.dark .grid-container .e-grid.e-gridhover:not(.e-rowdrag) .e-row:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell) {
    background-color: #1e3a8a;
}

.dark .grid-container .e-grid .e-gridpager {
    background-color: #111827;
}
